#!/bin/sh
if [ -z "$NATS_PASSWORD" ]
then
    echo '$NATS_PASSWORD is required'
    exit 1
fi
if [ -z "$NAMESPACE" ]
then
    echo '$NAMESPACE is required'
    exit 1
fi
cat ./nats.yaml | envsubst | helm --namespace=$NAMESPACE upgrade nocodelytics-nats nats/nats --values -