# Servers configuration

## All serveres

- Create a new nocodelytics user
  - `useradd nocodelytics`
  - `usermod -aG sudo nocodelytics`
- User `visudo` to add `NOPASSWD:ALL` to sudo users
- Transfer ssh keys
  - `mkdir /home/$USER/.ssh`
  - `chmod 700 /home/$USER/.ssh`
  - `sudo cp /root/.ssh/authorized_keys /home/$USER/.ssh/authorized_keys`
  - `sudo chown -R $USER:$USER /home/$USER/.ssh`
  - `sudo chmod 600 /home/$USER/.ssh/authorized_keys`
- Replace `/etc/ssh/sshd_config` with the provided sshd_config and run `service ssh restart`

## Main server

- Install all the requirements in ./install.sh
- Configure postgres
- Configure grafana

## add the storage box

- `vim /etc/fstab`

Add the following

```
//u363334.your-storagebox.de/backup /mnt/backup-server cifs iocharset=utf8,rw,credentials=/etc/backup-credentials.txt,uid=1000,gid=1000,file_mode=0660,dir_mode=0770 0 0
```
